--
-- ### Truncate table check 
-- 

drop if exists table t1;
create table t1 ( primary a int not null, b clob);

drop if exists table t2;
create table t2 ( primary a int not null, b clob);

alter table t1 add foreign key f1(a) references t2 (a);

show systemspace;

insert into t2 values ( 1, 'XXX');
insert into t1 values ( 1, 'XXX');

insert into t2 values ( 2, 'XXX');
insert into t1 values ( 2, 'XXX');

insert into t2 values ( 3, 'XXX');
insert into t1 values ( 3, 'XXX');

show systemspace;


truncate table t1;
truncate table t2;

select * from t1;
select * from t2;


show systemspace;

